@import "critical.scss";


.reviews {
  dl.legend {
    font-size: 0.9em;
  }
  dt {
    font-weight: bold;
    margin-top: 0.5em;
    > span {
      font-weight: normal;
    }
  }
  dt:target + dd {
    color: var(--text-color-highlight);
  }
  a.crit:not(:hover) {
    text-decoration: none; color: inherit;
  }
  a.crit:hover {
    text-decoration: underline;
  }
  > article {
    margin: 1em 0;
    border: 1px solid rgba(200,200,200,0.5);
    border-radius: 2px;
    padding: 0;
    @include dark {
      background: var(--header-color);
      border-color: black;
    }
    &.outdated {
      color: var(--text-color-fade);
      border-color: rgba(200,200,200,0.3);
    }
    &.no-text > .h {
      background: transparent;
      border-left: 1ex solid rgba(200,200,200,0.1);
    }
    > .h {
      background: rgba(210,210,210,0.12);
      @include dark {
        background: black;
      }
      padding: 0.5em 0.75em;
      p {
        margin: 0;
        line-height: 1.7;
      }
    }
  }
  .version {
    font-weight: bold;
    span {
      font-weight: normal;
    }
    @include dark {
      color: var(--text-color-highlight);
      font-weight: normal;
      span {
        color: var(--text-color);
        font-weight: 300;
      }
    }
  }
  .rating, .thoroughness, .understanding {
    font-weight: 300;
    span {
      font-weight: normal;
    }
    margin-left: 1em;
  }
  .negative, .none {
    color: var(--red-shade);
  }
  .low {
    color: var(--orange-shade);
  }
  .positive, .strong {
    color: var(--green-shade);
  }
  .comment {
    font-size: 0.95em;
    padding: 1em;
    max-height: 20em;
    overflow: auto;

    > :first-child {
      margin-top: 0;
    }
    > :last-child {
      margin-bottom: 0;
    }
  }
  details:not([open]) {
    cursor: pointer;
    opacity: var(--gamma-opacity8);
    font-size: 0.8em;
    margin: 0;
    padding: 0.5em;
  }
  details[open] {
    summary {
      display: none;
    }
  }
}
